ruby-tokyocabinet_1.31-5_i386.deb


Advertisement

Description

ruby-tokyocabinet - Ruby Binding of Tokyo Cabinet Database

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-tokyocabinet
Package version: 1.31
Package release: 5
Package architecture: i386
Package type: deb
Installed size: 131 B
Download size: 28.89 KB
Official Mirror: archive.ubuntu.com
Tokyo Cabinet is an efficient database library like GDBM and NDBM. It features hash database and B+ tree database and is developed as the successor of QDBM, for the purpose of the following three points: higher processing speed, smaller size of a database file, and simpler API.

Alternatives

    Download

    Source package: ruby-tokyocabinet

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-tokyocabinet deb package:
      # sudo apt-get install ruby-tokyocabinet

    Files

    • /usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/tokyocabinet.so
    • /usr/share/doc/ruby-tokyocabinet/changelog.Debian.gz
    • /usr/share/doc/ruby-tokyocabinet/copyright
    • /usr/share/doc/ruby-tokyocabinet/examples/example/tcadbex.rb
    • /usr/share/doc/ruby-tokyocabinet/examples/example/tcbdbex.rb
    • /usr/share/doc/ruby-tokyocabinet/examples/example/tcfdbex.rb
    • /usr/share/doc/ruby-tokyocabinet/examples/example/tchdbex.rb
    • /usr/share/doc/ruby-tokyocabinet/examples/example/tctdbex.rb
    • /usr/share/rubygems-integration/2.3.0/specifications/tokyocabinet-1.31.gemspec

    Changelog

    2016-03-22 - Christian Hofstaedtler <zeha@debian.org> ruby-tokyocabinet (1.31-5) unstable; urgency=medium * Team upload. [ Cédric Boutillier ] * Bump debhelper compatibility level to 9 * Use https:// in Vcs-* fields * Bump Standards-Version to 3.9.7 (no changes needed) * Run wrap-and-sort on packaging files [ Christian Hofstaedtler ] * Patch gemspec to make it loadable by gem2deb, fixes FTBFS.

    2015-08-14 - Christian Hofstaedtler <zeha@debian.org> ruby-tokyocabinet (1.31-4) unstable; urgency=medium * Team upload [ Christian Hofstaedtler ] * Fix uninitialized constant `Config` (Closes: #791779) [ Cédric Boutillier ] * Refresh packaging with 'dh-make-ruby -w'

    2014-02-06 - Christian Hofstaedtler <zeha@debian.org> ruby-tokyocabinet (1.31-3) unstable; urgency=medium * Team upload. [ Cédric Boutillier ] * use canonical URI in Vcs-* fields * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format field [ Laurent Arnoud ] * d/control: bumped up standards version to 3.9.5 [ Christian Hofstaedtler ] * Remove transitional packages * Rebuild for currently supported Ruby versions (Closes: #735736)

    2011-07-30 - Lucas Nussbaum <lucas@debian.org> ruby-tokyocabinet (1.31-2) unstable; urgency=low * debian/ruby-tests.rb: use includes provided by test runner * Add Lucas to Uploaders: * Update Standards-Version and dependency on ruby * Add Replaces, Breaks, Provides * Remove ./tokyocabinet.so before running tests * Drop change_require_statements_using_relative_paths.patch (Closes: #634439)

    2011-04-17 - Laurent Arnoud <laurent@spkdev.net> ruby-tokyocabinet (1.31-1) unstable; urgency=low * New upstream release (copyright change). * Switch to gem2deb-based packaging. Source and binary package renamed to ruby-tokyocabinet. Transitional packages added.

    2010-09-16 - Laurent Arnoud <laurent@spkdev.net> tokyocabinet-ruby (1.30-2) unstable; urgency=low [ Laurent Arnoud ] * Added support for Ruby 1.9.2 (Closes: #593024) * Bump Standards-Version to 3.9.1 (no changes). * Update Vcs-* Fields. * Update upstream website, copyright and upstream author [ Paul van Tilburg ] * Added the Debian/Ruby Extras team to the Uploaders field; the package is now team mainted.

    2010-03-24 - Laurent Arnoud <laurent@spkdev.net> tokyocabinet-ruby (1.30-1) unstable; urgency=low * New upstream release * Generate rdoc for libtokyocabinet-ruby-doc. * Bump Standards-Version to 3.8.4 (no changes). * Switched to source format 3.0 (quilt) * debian/control: Change my email address. * Add Vcs fields.

    2010-01-19 - Laurent Arnoud <laurent.arnoud@gmail.com> tokyocabinet-ruby (1.29-2) unstable; urgency=low * Drop 1.9 package (Closes: #565838) * Enable the test suite

    2009-11-09 - Laurent Arnoud <laurent.arnoud@gmail.com> tokyocabinet-ruby (1.29-1) unstable; urgency=low * New upstream release * Add ruby 1.9.1 version

    2009-10-20 - Laurent Arnoud <laurent.arnoud@gmail.com> tokyocabinet-ruby (1.21-1) unstable; urgency=low * Initial release (Closes: #551930)

    Advertisement
    Advertisement